export default class UniformCodes {
  Codes = {


    "SBQ_FDC": {

      "UP82_2":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI065",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "电网无功功率",
                "num": "3",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "频率",
                "num": "5",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "总发电量",
                "num": "6",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "7" },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "code": "AI064",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "冷却风温度",
                "num": "1",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI109",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI040",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI072",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI043",
                "unit": "bar"
              },
              {
                "name": "出口油压",
                "num": "6",
                "code": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "7",
                "code": "AI041",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "启动液压泵",
                "num": "3",
                "code": "DI122",
                "unit": ""
              },
              {
                "name": "液压油温度超限",
                "num": "4",
                "code": "DI863",
                "unit": ""
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "5",
                "code": "DI130",
                "unit": ""
              },
              {
                "name": "液压油液位ok",
                "num": "6",
                "code": "DI129",
                "unit": ""
              },
              {
                "name": "液压泵电机保护",
                "num": "7",
                "code": "DI131",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航位置",
                "num": "1",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "2",
                "code": "AI300",
                "unit": "rad/s"
              },
              {
                "name": "低风速一级偏航延时",
                "num": "3",
                "code": "AI149",
                "unit": "s"
              },
              {
                "name": "高风速一级偏航延时",
                "num": "4",
                "code": "AI150",
                "unit": "s"
              },
              {
                "name": "低风速二级偏航延时",
                "num": "5",
                "code": "AI151",
                "unit": "s"
              },
              {
                "name": "高风速二级偏航延时",
                "num": "6",
                "code": "AI152",
                "unit": "s"
              },
              {
                "name": "偏航风速高限",
                "num": "7",
                "code": "AI154",
                "unit": ""
              },
              {
                "name": "偏航最小速度",
                "num": "8",
                "code": "AI156",
                "unit": "rad/s"
              },
            ]
          }
        ]
      }

      ,

      "UP97":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "频率",
                "num": "3",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "电网功率",
                "num": "5",
                "code": "AI065",
                "unit": "kw"
              },
              {
                "name": "电网无功功率",
                "num": "6",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "总发电量",
                "num": "7",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "发电机冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "code": "AI064",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "冷却风温度",
                "num": "1",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI109",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI040",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI072",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI043",
                "unit": "bar"
              },
              {
                "name": "出口油压",
                "num": "6",
                "code": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "7",
                "code": "AI041",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "启动液压泵",
                "num": "3",
                "code": "DI122",
                "unit": ""
              },
              {
                "name": "液压油温度超限",
                "num": "4",
                "code": "DI863",
                "unit": ""
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "5",
                "code": "DI130",
                "unit": ""
              },
              {
                "name": "液压油液位ok",
                "num": "6",
                "code": "DI129",
                "unit": ""
              },
              {
                "name": "液压系统报警",
                "num": "7",
                "code": "DI1042",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航位置",
                "num": "1",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "2",
                "code": "AI035",
                "unit": "rad/s"
              }
            ]
          }
        ]
      }

      ,

      "UP105-2000-S":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "叶轮转速",
                "num": "4",
                "code": "AI012",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "Ipr线电流1",
                "num": "1",
                "code": "AI267",
                "unit": "A"
              },
              {
                "name": "IprL1L2中性点电压",
                "num": "2",
                "code": "AI274",
                "unit": "V"
              },
              {
                "name": "Ipr无功功率",
                "num": "3",
                "code": "AI131"
              },
              {
                "name": "有功控制给定值",
                "num": "4",
                "code": "AI426"
              },
              {
                "name": "功率因数",
                "num": "5",
                "code": "AI067"
              },
              {
                "name": "Ipr频率",
                "num": "6",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "发无功总量",
                "num": "7",
                "code": "AI198",
                "unit": "万度"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱输入轴温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输出轴温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油槽温度",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱柜内温度",
                "num": "6",
                "code": "AI070",
                "unit": "℃"
              },
              {
                "name": "齿箱侧转子轴承温度",
                "num": "7",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "发电机空冷温度",
                "num": "8",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "电机侧转子轴承温度",
                "num": "10",
                "code": "AI072",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI004",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "code": "AI064",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "发电机空冷温度",
                "num": "1",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "发电机侧转子轴承温度",
                "num": "7",
                "code": "AI072",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI003C",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003D",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI003E",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI288",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI289",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI290",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI160",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI203",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "6",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "轴温持续时间",
                "num": "7",
                "code": "AI346",
                "unit": ""
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "液压主系统压力",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "偏航刹车压力",
                "num": "2",
                "code": "AI323",
                "unit": "bar"
              },
              {
                "name": "高速轴刹车压力",
                "num": "3",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "液压泵电机运行",
                "num": "4",
                "code": "DI1828",
                "unit": ""
              },
              {
                "name": "液压油温度OK",
                "num": "5",
                "code": "DI1555",
                "unit": ""
              },
              {
                "name": "轴制动压力OK",
                "num": "6",
                "code": "DI1767",
                "unit": ""
              },
              {
                "name": "液压油位OK信号",
                "num": "7",
                "code": "DI1556",
                "unit": ""
              },
              {
                "name": "液压泵电机保护",
                "num": "8",
                "code": "DI1176",
                "unit": ""
              },
            ]
          },
        ]
      }


    }
    ,


    "MHS_FDC": {

      "UP77":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rp"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI017",
                "unit": "rp"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": "",
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "U2项绕组电压",
                "num": "3",
                "code": "AI059",
                "unit": "V"
              },
              {
                "name": "U2项绕组电流",
                "num": "4",
                "code": "AI062",
                "unit": "A"
              },
              {
                "name": "U3项绕组电压",
                "num": "5",
                "code": "AI060",
                "unit": "V"
              },
              {
                "name": "U3项绕组电流",
                "num": "6",
                "code": "AI063",
                "unit": "A"
              },
              {
                "name": "功率因数",
                "num": "7",
                "code": "AI067"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "code": "AI056",
                "num": "9",
                "unit": "℃"
              },
              {
                "name": "电机温度",
                "num": "10",
                "code": "AI287",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "冷却风温度",
                "num": "1",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI109",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI301",
                "unit": "℃"
              },
              {
                "name": "齿轮箱转子轴温",
                "num": "4",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "5",
                "code": "AI041",
                "unit": "bar"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "启动液压泵",
                "num": "3",
                "code": "DI122",
                "unit": ""
              },
              {
                "name": "液压油温度超限",
                "num": "4",
                "code": "DI863",
                "unit": ""
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "5",
                "code": "DI130",
                "unit": ""
              },
              {
                "name": "液压油液位ok",
                "num": "6",
                "code": "DI129",
                "unit": ""
              },
              {
                "name": "液压系统报警",
                "num": "7",
                "code": "DI1042",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航位置",
                "num": "1",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "2",
                "code": "AI300",
                "unit": "rad/s"
              },
              {
                "name": "低风速一级偏航延时",
                "num": "3",
                "code": "AI149",
                "unit": "s"
              },
              {
                "name": "高风速一级偏航延时",
                "num": "4",
                "code": "AI150",
                "unit": "s"
              },
              {
                "name": "低风速二级偏航延时",
                "num": "5",
                "code": "AI151",
                "unit": "s"
              },
              {
                "name": "高风速二级偏航延时",
                "num": "6",
                "code": "AI152",
                "unit": "s"
              },
              {
                "name": "偏航风速高限",
                "num": "7",
                "code": "AI154",
                "unit": ""
              },
              {
                "name": "偏航最小速度",
                "num": "8",
                "code": "AI156",
                "unit": "rad/s"
              },
            ]
          }
        ]
      }

      ,

      "UP105-2000-S":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rp"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI300",
                "unit": "rp"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI274",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI267",
                "unit": "A"
              },
              {
                "name": "U2项绕组电压",
                "num": "3",
                "code": "AI275",
                "unit": "V"
              },
              {
                "name": "U2项绕组电流",
                "num": "4",
                "code": "AI268",
                "unit": "A"
              },
              {
                "name": "U3项绕组电压",
                "num": "5",
                "code": "AI276",
                "unit": "V"
              },
              {
                "name": "U3项绕组电流",
                "num": "6",
                "code": "AI269",
                "unit": "A"
              },
              {
                "name": "功率因数",
                "num": "7",
                "code": "AI067"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI070",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "DI1555",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "电机温度",
                "num": "10",
                "code": "AI042",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI004",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "发电机空冷温度",
                "num": "1",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "发电机侧轴温度",
                "num": "7",
                "code": "AI072",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI003C",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003D",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI003E",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI288",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI289",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI290",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI160",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI203",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "6",
                "code": "AI041",
                "unit": "bar"
              },
              {
                "name": "轴温持续时间",
                "num": "7",
                "code": "AI346",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "偏航刹车压力",
                "num": "3",
                "code": "AI323",
                "unit": ""
              },
              {
                "name": "液压泵电机运行",
                "num": "4",
                "code": "DI1828",
                "unit": ""
              },
              {
                "name": "液压油温度OK",
                "num": "5",
                "code": "DI1555",
                "unit": ""
              },
              {
                "name": "轴制动压力OK",
                "num": "6",
                "code": "DI1767",
                "unit": ""
              },
              {
                "name": "液压系统油位OK信号",
                "num": "7",
                "code": "DI1556",
                "unit": ""
              },
              {
                "name": "液压油温OK持续时间",
                "num": "8",
                "code": "DI1173",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航刹车压力",
                "num": "1",
                "code": "AI323",
                "unit": "bar"
              },
              {
                "name": "风机偏航误差",
                "num": "2",
                "code": "AI357",
                "unit": ""
              },
              {
                "name": "偏航关闭总数",
                "num": "3",
                "code": "AI379",
                "unit": ""
              },
              {
                "name": "偏航运行总时间",
                "num": "4",
                "code": "AI400",
                "unit": "s"
              },
              {
                "name": "左偏航轨道位1偏航错误持续时间",
                "num": "5",
                "code": "AI409",
                "unit": "s"
              },
              {
                "name": "左偏航轨道位2偏航错误持续时间",
                "num": "6",
                "code": "AI410",
                "unit": "s"
              },
              {
                "name": "右偏航轨道位1偏航错误持续时间",
                "num": "7",
                "code": "AI411",
                "unit": "s"
              },
              {
                "name": "右偏航轨道位2偏航错误持续时间",
                "num": "8",
                "code": "AI412",
                "unit": "s"
              },
            ]
          }
        ]
      }


    }
    ,


    "QS_FDC": {
      "CCWE-1500":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI181",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI222",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "风机电压",
                "num": "1",
                "code": "AI185",
                "unit": "V"
              },
              {
                "name": "风机电流",
                "num": "2",
                "code": "AI186",
                "unit": "A"
              },
              {
                "name": "电网无功功率",
                "num": "3",
                "code": "AI131",
                "unit": "kw"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "频率",
                "num": "5",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "总发电量",
                "num": "6",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "7" },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "线圈L1温度",
                "num": "1",
                "code": "AI188",
                "unit": "℃"
              },
              {
                "name": "线圈L2温度",
                "num": "2",
                "code": "AI189",
                "unit": "℃"
              },
              {
                "name": "线圈L3温度",
                "num": "3",
                "code": "AI190",
                "unit": "℃"
              },
              {
                "name": "电机驱动端轴温度",
                "num": "4",
                "code": "AI195",
                "unit": "℃"
              },
              {
                "name": "电机非驱动端轴温度",
                "num": "5",
                "code": "AI196",
                "unit": "℃"
              },
              {
                "name": "高速端轴承温度",
                "num": "6",
                "code": "AI204",
                "unit": "℃"
              },
              {
                "name": "低速端轴承温度",
                "num": "7",
                "code": "AI205",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "8",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "主轴温度",
                "num": "9",
                "code": "AI213",
                "unit": "℃"
              },
              {
                "name": "变频器温度",
                "num": "10",
                "code": "AI214",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": []
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "发电机转速",
                "num": "1",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "A相电压",
                "num": "2",
                "code": "AI207",
                "unit": "V"
              },
              {
                "name": "B相电压",
                "num": "3",
                "code": "AI208",
                "unit": "V"
              },
              {
                "name": "C相电压",
                "num": "4",
                "code": "AI209",
                "unit": "V"
              },
              {
                "name": "A相电流",
                "num": "5",
                "code": "AI210",
                "unit": "A"
              },
              {
                "name": "B相电流",
                "num": "6",
                "code": "AI211",
                "unit": "A"
              },
              {
                "name": "C相电流",
                "num": "7",
                "code": "AI212",
                "unit": "A"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "桨叶角度",
                "num": "1",
                "code": "AI184",
                "unit": "度"
              },
              {
                "name": "刹车状态",
                "num": "2",
                "code": "AI182",
                "unit": ""
              },
              {
                "name": "偏航电机状态",
                "num": "3",
                "code": "AI183",
                "unit": ""
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI204",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI205",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI353",
                "unit": "bar"
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航模式",
                "num": "1",
                "code": "AI314",
                "unit": ""
              },
              {
                "name": "偏航电机开关",
                "num": "2",
                "code": "AI319",
                "unit": ""
              },
              {
                "name": "偏航传感器1",
                "num": "3",
                "code": "AI339",
                "unit": ""
              },
              {
                "name": "偏航传感器2",
                "num": "4",
                "code": "AI340",
                "unit": ""
              },
              {
                "name": "偏航顺时针反馈",
                "num": "5",
                "code": "AI347",
                "unit": ""
              },
              {
                "name": "偏航逆时针反馈",
                "num": "6",
                "code": "AI348",
                "unit": ""
              },
              {
                "name": "风机偏航电机状态",
                "num": "7",
                "code": "AI183",
                "unit": ""
              },
            ]
          }
        ]
      },


      "UP105-2000-S":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI181",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI222",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "发电机空冷温度",
                "num": "1",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "发电机侧转子轴承温度",
                "num": "7",
                "code": "AI072",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI003C",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003D",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI003E",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI288",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI289",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI290",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI040",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI043",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "6",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "轴温持续时间",
                "num": "7",
                "code": "AI748",
                "unit": ""
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "偏航刹车压力",
                "num": "2",
                "code": "AI323",
                "unit": "bar"
              },
              {
                "name": "高速轴刹车压力",
                "num": "3",
                "code": "AI019",
                "unit": ""
              },
              {
                "name": "液压泵电机运行",
                "num": "4",
                "code": "DI2304",
                "unit": ""
              },
              {
                "name": "液压油温度OK",
                "num": "5",
                "code": "DI1962",
                "unit": ""
              },
              {
                "name": "轴制动压力OK",
                "num": "6",
                "code": "DI1903",
                "unit": ""
              },
              {
                "name": "液压油位OK信号",
                "num": "7",
                "code": "DI1963",
                "unit": ""
              },
              {
                "name": "液压泵电机保护",
                "num": "8",
                "code": "DI131",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              
            ]
          }
        ]
      }

    }
    ,


    "NSS_FDC": {
      "UP82":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI065",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI005",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "电网无功功率",
                "num": "3",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "频率",
                "num": "5",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "总发电量",
                "num": "6",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "7" },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "code": "AI064",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "冷却风温度",
                "num": "1",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI109",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI040",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI072",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI043",
                "unit": "bar"
              },
              {
                "name": "出口油压",
                "num": "6",
                "code": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "7",
                "code": "AI041",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "液压系统压力",
                "num": "1",
                "code": "AI613",
                "unit": "bar"
              },
              {
                "name": "转子刹车压力",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "启动液压泵",
                "num": "3",
                "code": "DI122",
                "unit": ""
              },
              {
                "name": "液压油温度超限",
                "num": "4",
                "code": "DI123",
                "unit": ""
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "5",
                "code": "DI130",
                "unit": ""
              },
              {
                "name": "液压油液位ok",
                "num": "6",
                "code": "DI129",
                "unit": ""
              },
              {
                "name": "液压系统报警",
                "num": "7",
                "code": "DI1042",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航位置",
                "num": "1",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "2",
                "code": "AI300",
                "unit": "rad/s"
              },
              {
                "name": "低风速一级偏航延时",
                "num": "3",
                "code": "AI149",
                "unit": "s"
              },
              {
                "name": "高风速一级偏航延时",
                "num": "4",
                "code": "AI150",
                "unit": "s"
              },
              {
                "name": "低风速二级偏航延时",
                "num": "5",
                "code": "AI151",
                "unit": "s"
              },
              {
                "name": "高风速二级偏航延时",
                "num": "6",
                "code": "AI152",
                "unit": "s"
              },
              {
                "name": "偏航风速高限",
                "num": "7",
                "code": "AI154",
                "unit": ""
              },
              {
                "name": "偏航最小速度",
                "num": "8",
                "code": "AI156",
                "unit": "rad/s"
              },
            ]
          }
        ]
      }
    }
    ,


    "XS_FDC": {

      "UP97":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "频率",
                "num": "3",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "电网功率",
                "num": "5",
                "code": "AI065",
                "unit": "kw"
              },
              {
                "name": "电网无功功率",
                "num": "6",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "总发电量",
                "num": "7",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "发电机冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "unit": "万度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "冷却风温度",
                "num": "1",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI109",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI040",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "4",
                "code": "AI043",
                "unit": "bar"
              },
              {
                "name": "出口油压",
                "num": "5",
                "code": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "6",
                "code": "AI041",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "启动液压泵",
                "num": "3",
                "code": "DI122",
                "unit": ""
              },
              {
                "name": "液压油温度超限",
                "num": "4",
                "code": "DI123",
                "unit": ""
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "5",
                "code": "DI130",
                "unit": ""
              },
              {
                "name": "液压油液位ok",
                "num": "6",
                "code": "DI129",
                "unit": ""
              },
              {
                "name": "液压系统报警",
                "num": "7",
                "code": "DI1042",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航位置",
                "num": "1",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "2",
                "code": "AI035",
                "unit": "rad/s"
              },
            ]
          }
        ]
      }

      ,

      "UP105-2000-S":
      {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "叶轮转速",
                "num": "4",
                "code": "AI012",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              },
              {
                "name": "状态",
                "num": "6",
                "code": "FJZT8",
                "unit": ""
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "Ipr线电流1",
                "num": "1",
                "code": "AI267",
                "unit": "A"
              },
              {
                "name": "IprL1L2中性点电压",
                "num": "2",
                "code": "AI274",
                "unit": "V"
              },
              {
                "name": "Ipr无功功率",
                "num": "3",
                "code": "AI131"
              },
              {
                "name": "有功控制给定值",
                "num": "4",
                "code": "AI426"
              },
              {
                "name": "功率因数",
                "num": "5",
                "code": "AI067"
              },
              {
                "name": "Ipr频率",
                "num": "6",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "发无功总量",
                "num": "7",
                "code": "AI198",
                "unit": "万度"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱输入轴温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输出轴温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油槽温度",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱柜内温度",
                "num": "6",
                "code": "AI070",
                "unit": "℃"
              },
              {
                "name": "齿箱侧转子轴承温度",
                "num": "7",
                "code": "AI036",
                "unit": "℃"
              },
              {
                "name": "发电机空冷温度",
                "num": "8",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "电机侧转子轴承温度",
                "num": "10",
                "code": "AI037",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI004",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [{
              "name": "总发电量",
              "num": "3",
              "code": "AI064",
              "unit": "度"
            }]
          },
          {
            "index": "part6",
            "tag": "发电机信息",
            "param": [
              {
                "name": "绕组最大温度",
                "num": "1",
                "code": "AI356",
                "unit": "℃"
              },
              {
                "name": "U1绕组温度",
                "num": "2",
                "code": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "3",
                "code": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "4",
                "code": "AI049",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "code": "AI053",
                "unit": "℃"
              },
              // {
              //   "name": "电机侧转子轴温",
              //   "num": "7",
              //   "code": "AI072",
              //   "unit": "℃"
              // },
            ]
          },
          {
            "index": "part7",
            "tag": "变桨信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI003C",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003D",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI003E",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "4",
                "code": "AI288",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "5",
                "code": "AI289",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "6",
                "code": "AI290",
                "unit": "℃"
              },
            ]
          },
          {
            "index": "part8",
            "tag": "齿轮箱信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "3",
                "code": "AI040",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴侧温度",
                "num": "4",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "内部油压",
                "num": "5",
                "code": "AI043",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油温",
                "num": "6",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "轴温持续时间",
                "num": "7",
                "code": "AI346",
                "unit": ""
              },
            ]
          },
          {
            "index": "part9",
            "tag": "液压站信息",
            "param": [
              {
                "name": "液压油路压力",
                "num": "1",
                "code": "AI018",
                "unit": "bar"
              },
              {
                "name": "高速轴刹车压力",
                "num": "2",
                "code": "AI019",
                "unit": "bar"
              },
              {
                "name": "偏航刹车压力",
                "num": "3",
                "code": "AI323",
                "unit": "bar"
              },
              {
                "name": "液压泵电机运行",
                "num": "4",
                "code": "DI1828",
                "unit": ""
              },
              {
                "name": "液压油温度OK",
                "num": "5",
                "code": "DI1555",
                "unit": ""
              },
              {
                "name": "轴制动压力OK",
                "num": "6",
                "code": "DI1767",
                "unit": ""
              },
              {
                "name": "液压油位OK信号",
                "num": "7",
                "code": "DI1556",
                "unit": ""
              },
              {
                "name": "液压泵电机保护",
                "num": "8",
                "code": "DI131",
                "unit": ""
              },
            ]
          },
          {
            "index": "part10",
            "tag": "偏航信息",
            "param": [
              {
                "name": "偏航刹车压力",
                "num": "1",
                "code": "AI323",
                "unit": "bar"
              },
              {
                "name": "风机偏航误差",
                "num": "2",
                "code": "AI357",
                "unit": ""
              },
              {
                "name": "偏航关闭总数",
                "num": "3",
                "code": "AI379",
                "unit": ""
              },
              {
                "name": "偏航运行总时间",
                "num": "4",
                "code": "AI400",
                "unit": "s"
              },
              {
                "name": "左偏航轨道位1偏航错误持续时间",
                "num": "5",
                "code": "AI409",
                "unit": "s"
              },
              {
                "name": "左偏航轨道位2偏航错误持续时间",
                "num": "6",
                "code": "AI410",
                "unit": "s"
              },
              {
                "name": "右偏航轨道位1偏航错误持续时间",
                "num": "7",
                "code": "AI411",
                "unit": "s"
              },
              {
                "name": "右偏航轨道位2偏航错误持续时间",
                "num": "8",
                "code": "AI412",
                "unit": "s"
              },
            ]
          }
        ]
      }


    }


  }
  constructor() {
    this.getStationInfos = this.getStationInfos.bind(this);
  }

  /* 获取场站信息 */
  getStationInfos(windturbine) {
    var val = this.Codes[windturbine.stationId][windturbine.modelId];
    var codes = "";
    val.BasicInfo.forEach(element => {
      // console.log(element);
      element.param.forEach(itm => {
        codes += itm.code + ",";
      });
    });
    val.codes = codes;
    return val;
  }
}