// import { config } from "../../config";
import axios from 'axios';
import api from '../api';

export class BoosterStation{
	tags={
		"QS3_FDC": {
			"qs3uakv110l": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0001",},
			"qs3ubkv110": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0002",},
			"qs3uckv110": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0003",},
			"qs3uabkv110": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0009",},
			"qs3uakv110r": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0001",},
			"qs3laa110": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0004",},
			"qs3pmw110": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0013",},
			"qs3qmvar110": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0014",},
			"qs3uakv35r": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0053",},
			"qs3laa35": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0056",},
			"qs3pmw35": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0116",},
			"qs3qmvar35": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0117",},
			"qs3uakv35l": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0537",},
			"qs3ubkv35": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0538",},
			"qs3uckv35": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0539",},
			"qs3uabkv35": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0573",},
			"qs3ymwd": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0162",},
			"qs3rzwd": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0161",},
			"qs3dw": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0155",},
			"qs3uabkvc": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0573",},
			"qs3ubckv": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0574",},
			"qs3ucakv": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0575",},
			"qs33u0kv": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0576",},
			"qs3uakvfc7": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0658",},
			"qs3laafc7": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0661",},
			"qs3pmwfc7": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0672",},
			"qs3qmvarfc7": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0673",},
			"qs3uakvfc8": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0677",},
			"qs3laafc8": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0680",},
			"qs3pmwfc8": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0691",},
			"qs3qmvarfc8": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0692",},
			"qs3uakv3jd": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0696",},
			"qs3laa3jd": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0699",},
			"qs3pmw3jd": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0711",},
			"qs3qmvar3jd": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0712",},
			"qs3uakv3zy": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0715",},
			"qs3laa3zy": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0718",},
			"qs3pmw3zy": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0730",},
			"qs3qmvar3zy": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0731",},
			"qs3uakv3wgbc": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0734",},
			"qs3laa3wgbc": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0737",},
			"qs3pmw3wgbc": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0749",},
			"qs3qmvar3wgbc": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_AI0750",},
			"qs3dlq121": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0007",},
			"qs3dlq103": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0071",},
			"qs3dlq303": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0123",},
			"qs3dlq331": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1615",},
			"qs3dlq332": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1701",},
			"qs3dlq333": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1786",},
			"qs3dlq334": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1851",},
			"qs3dlq335": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1916",},
			"qs3kg1210": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0017",},
			"qs3kg12103": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0015",},
			"qs3kg12102": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0013",},
			"qs3kg1213": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0011",},
			"qs3kg1212": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0009",},
			"qs3kg120": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1149",},
			"qs3kg1209": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1151",},
			"qs3kg129": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1147",},
			"qs3kg10302": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0077",},
			"qs3kg10303": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0079",},
			"qs3kg1030": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0081",},
			"qs3kg0130": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0945",},
			"qs3kg1032": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0073",},
			"qs3kg1033": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0075",},
			"qs3kg3310": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1616",},
			"qs3kg3320": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1702",},
			"qs3kg3330": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1787",},
			"qs3kg3340": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1852",},
			"qs3kg3350": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1917",},
			"qs3sc339": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1413",},
			"qs3sc303": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI0125",},
			"qs3sc331": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1612",},
			"qs3sc332": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1698",},
			"qs3sc333": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1783",},
			"qs3sc334": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1848",},
			"qs3sc335": {tag:"SLDQ.NX_GD_QSF_DQ_P1_L1_001_DI1913",},
		},
		"DWK_GDC": {
			"dwklaa": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0001",},
			"dwkpmw": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0002",},
			"dwkqmvar": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0003",},
			"dwkuakv": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0041",},
			"dwkubkv": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0042",},
			"dwkuckv": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0043",},
			"dwkuabkv": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_AI0004",},
			"dwksrdy01": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_001_AI0008",},
			"dwksrdy02": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_002_AI0008",},
			"dwksrdy03": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_003_AI0008",},
			"dwksrdy04": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_004_AI0008",},
			"dwksrdy05": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_005_AI0008",},
			"dwksrdy06": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_006_AI0008",},
			"dwksrdy07": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_007_AI0008",},
			"dwksrdy08": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_008_AI0008",},
			"dwksrdy09": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_009_AI0008",},
			"dwksrdy10": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_010_AI0008",},
			"dwksrdy11": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_011_AI0009",},
			"dwksrdy12": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_012_AI0009",},
			"dwksrdy13": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_013_AI0009",},
			"dwksrdy14": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_014_AI0009",},
			"dwksrdy15": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_015_AI0009",},
			"dwksrdy16": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_016_AI0009",},
			"dwksrdy17": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_017_AI0009",},
			"dwksrdy18": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_018_AI0009",},
			"dwksrdy19": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_019_AI0009",},
			"dwksrdy20": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_020_AI0009",},
			"dwksrdl01": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_001_AI0009",},
			"dwksrdl02": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_002_AI0009",},
			"dwksrdl03": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_003_AI0009",},
			"dwksrdl04": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_004_AI0009",},
			"dwksrdl05": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_005_AI0009",},
			"dwksrdl06": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_006_AI0009",},
			"dwksrdl07": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_007_AI0009",},
			"dwksrdl08": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_008_AI0009",},
			"dwksrdl09": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_009_AI0009",},
			"dwksrdl10": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_010_AI0009",},
			"dwksrdl11": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_011_AI0008",},
			"dwksrdl12": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_012_AI0008",},
			"dwksrdl13": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_013_AI0008",},
			"dwksrdl14": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_014_AI0008",},
			"dwksrdl15": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_015_AI0008",},
			"dwksrdl16": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_016_AI0008",},
			"dwksrdl17": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_017_AI0008",},
			"dwksrdl18": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_018_AI0008",},
			"dwksrdl19": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_019_AI0008",},
			"dwksrdl20": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_020_AI0008",},
			"dwkscgl01": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_001_AI0019",},
			"dwkscgl02": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_002_AI0019",},
			"dwkscgl03": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_003_AI0019",},
			"dwkscgl04": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_004_AI0019",},
			"dwkscgl05": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_005_AI0019",},
			"dwkscgl06": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_006_AI0019",},
			"dwkscgl07": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_007_AI0019",},
			"dwkscgl08": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_008_AI0019",},
			"dwkscgl09": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_009_AI0019",},
			"dwkscgl10": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_010_AI0019",},
			"dwkscgl11": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_011_AI0017",},
			"dwkscgl12": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_012_AI0017",},
			"dwkscgl13": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_013_AI0017",},
			"dwkscgl14": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_014_AI0017",},
			"dwkscgl15": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_015_AI0017",},
			"dwkscgl16": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_016_AI0017",},
			"dwkscgl17": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_017_AI0017",},
			"dwkscgl18": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_018_AI0017",},
			"dwkscgl19": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_019_AI0017",},
			"dwkscgl20": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_020_AI0017",},
			"dwkrfdl01": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_001_AI0004",},
			"dwkrfdl02": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_002_AI0004",},
			"dwkrfdl03": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_003_AI0004",},
			"dwkrfdl04": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_004_AI0004",},
			"dwkrfdl05": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_005_AI0004",},
			"dwkrfdl06": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_006_AI0004",},
			"dwkrfdl07": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_007_AI0004",},
			"dwkrfdl08": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_008_AI0004",},
			"dwkrfdl09": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_009_AI0004",},
			"dwkrfdl10": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_010_AI0004",},
			"dwkrfdl11": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_011_AI0020",},
			"dwkrfdl12": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_012_AI0020",},
			"dwkrfdl13": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_013_AI0020",},
			"dwkrfdl14": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_014_AI0020",},
			"dwkrfdl15": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_015_AI0020",},
			"dwkrfdl16": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_016_AI0020",},
			"dwkrfdl17": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_017_AI0020",},
			"dwkrfdl18": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_018_AI0020",},
			"dwkrfdl19": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_019_AI0020",},
			"dwkrfdl20": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_020_AI0020",},
			"dwkzfdl01": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_001_AI0005",},
			"dwkzfdl02": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_002_AI0005",},
			"dwkzfdl03": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_003_AI0005",},
			"dwkzfdl04": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_004_AI0005",},
			"dwkzfdl05": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_005_AI0005",},
			"dwkzfdl06": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_006_AI0005",},
			"dwkzfdl07": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_007_AI0005",},
			"dwkzfdl08": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_008_AI0005",},
			"dwkzfdl09": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_009_AI0005",},
			"dwkzfdl10": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L1_010_AI0005",},
			"dwkzfdl11": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_011_AI0021",},
			"dwkzfdl12": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_012_AI0021",},
			"dwkzfdl13": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_013_AI0021",},
			"dwkzfdl14": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_014_AI0021",},
			"dwkzfdl15": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_015_AI0021",},
			"dwkzfdl16": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_016_AI0021",},
			"dwkzfdl17": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_017_AI0021",},
			"dwkzfdl18": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_018_AI0021",},
			"dwkzfdl19": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_019_AI0021",},
			"dwkzfdl20": {tag:"DWKGF.NX_GD_DWKG_GF_P1_L2_020_AI0021",},
			"dwkkg3130": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0043",},
			"dwkkg3110": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0013",},
			"dwkkg01": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0333",},
			"dwkkg02": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0382",},
			"dwkkg03": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0431",},
			"dwkkg04": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0480",},
			"dwkkg05": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0537",},
			"dwkkg06": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0588",},
			"dwkkg07": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0631",},
			"dwkkg08": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0674",},
			"dwkkg09": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0717",},
			"dwkkg10": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0760",},
			"dwkdlq310": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0003",},
			"dwkdlq313": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0005",},
			"dwkdlq3129": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0024",},
			"dwkdlq314": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0006",},
			"dwkdlq315": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0007",},
			"dwkdlq311": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0004",},
			"dwksc310": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0128",},
			"dwksc313": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0042",},
			"dwksc3129": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0123",},
			"dwksc314": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0072",},
			"dwksc315": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0096",},
			"dwksc311": {tag:"DWKDQ.NX_GD_DWKG_DQ_P1_L1_001_DI0012",},
		},
		"QS_FDC": {
			"qsuakv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0001",},
			"qsubkv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0002",},
			"qsuckv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0003",},
			"qs3u0v": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0004",},
			"qsuabkv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0007",},
			"qsubckv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0008",},
			"qsuackv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0009",},
			"qslaakv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0324",},
			"qspmw": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0330",},
			"qsqmvar": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0331",},
			"qsuxkv": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0321",},
			"qscos": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0333",},
			"qslaazb2s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0692",},
			"qspmwzb2s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0698",},
			"qsqmvarzb2s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0699",},
			"qscoszb2s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0701",},
			"qslaazb1s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0452",},
			"qspmwzb1s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0458",},
			"qsqmvarzb1s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0459",},
			"qscoszb1s": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0461",},
			"qsuakvzb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0177",},
			"qsuabkvzb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0162",},
			"qs3uozb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0005",},
			"qslaazb2x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0708",},
			"qspmwzb2x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0714",},
			"qsqmvarzb2x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0715",},
			"qscoszb2x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0717",},
			"qsymwdzb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0489",},
			"qsrzwdzb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0481",},
			"qsdwzb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1249",},
			"qsuakvzb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0161",},
			"qsuabkvzb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0178",},
			"qs3u0vzb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0006",},
			"qslaazb1x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0468",},
			"qspmwzb1x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0474",},
			"qsqmvarzb1x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0475",},
			"qscoszb1x": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0477",},
			"qsymwdzb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0729",},
			"qsrzwdzb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0721",},
			"qsdwzb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1250",},
			"qslaafc6": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1057",},
			"qspkwfc6": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1067",},
			"qsqkvarfc6": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1068",},
			"qslaafc5": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1041",},
			"qspkwfc5": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1051",},
			"qsqkvarfc5": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1052",},
			"qslaafc4": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1025",},
			"qspkwfc4": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1035",},
			"qsqkvarfc4": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1036",},
			"qslaadk2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1089",},
			"qspkwdk2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1099",},
			"qsqkvardk2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1100",},
			"qslaalb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1073",},
			"qspkwlb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1083",},
			"qsqkvarlb2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1084",},
			"qslaadk1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0993",},
			"qspkwdk1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1003",},
			"qsqkvardk1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI1004",},
			"qslaalb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0977",},
			"qspkwlb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0987",},
			"qsqkvarlb1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0988",},
			"qslaazy": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0196",},
			"qspkwzy": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0202",},
			"qsqkvarzy": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0203",},
			"qslaafc3": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0961",},
			"qspkwfc3": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0971",},
			"qsqkvarfc3": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0972",},
			"qslaafc2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0945",},
			"qspkwfc2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0955",},
			"qsqkvarfc2": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0956",},
			"qslaafc1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0929",},
			"qspkwfc1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0939",},
			"qsqkvarfc1": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_AI0940",},
			"qskg1110": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0381",},
			"qskg11103": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0380",},
			"qskg11101": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0379",},
			"qskg1113": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0378",},
			"qskg1111": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0377",},
			"qskg1020": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0861",},
			"qskg10201": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0862",},
			"qskg10202": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0863",},
			"qskg10203": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0864",},
			"qskg0210": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0865",},
			"qskg1021": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0859",},
			"qskg1023": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0860",},
			"qskg1010": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0536",},
			"qskg10101": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0533",},
			"qskg10102": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0532",},
			"qskg10103": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0535",},
			"qskg0110": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0537",},
			"qskg1011": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0531",},
			"qskg1013": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0534",},
			"qskg119": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0066",},
			"qskg1109": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0191",},
			"qskg3250": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1556",},
			"qskg3240": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1510",},
			"qskg3230": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1464",},
			"qskg3220": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1648",},
			"qskg3210": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1602",},
			"qskg3160": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1372",},
			"qskg3150": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1326",},
			"qskg3140": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1694",},
			"qskg3130": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1280",},
			"qskg3120": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1234",},
			"qskg3110": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1188",},
			"qsdlq111": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0376",},
			"qsdlq102": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0858",},
			"qsdlq101": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0530",},
			"qsdlq302": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0194",},
			"qsdlq301": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0192",},
			"qsdlq325": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1554",},
			"qsdlq324": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1508",},
			"qsdlq323": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1462",},
			"qsdlq322": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1646",},
			"qsdlq321": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1600",},
			"qsdlq300": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1416",},
			"qsdlq316": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1370",},
			"qsdlq315": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1324",},
			"qsdlq314": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1692",},
			"qsdlq313": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1278",},
			"qsdlq312": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1232",},
			"qsdlq311": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1186",},
			"qssc302": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0195",},
			"qssc301": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0193",},
			"qssc325": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1555",},
			"qssc324": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1509",},
			"qssc323": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1463",},
			"qssc329": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1786",},
			"qssc322": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1647",},
			"qssc321": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1601",},
			"qssc300": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1417",},
			"qssc3001": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1424",},
			"qssc316": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1371",},
			"qssc315": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1325",},
			"qssc314": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1693",},
			"qssc313": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1279",},
			"qssc312": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1233",},
			"qssc311": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1187",},
			"qssc319": {tag:"QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1738",},
		},
		"NSS_FDC": {
			"nssuakv2j": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0001",},
			"nssuabkv2j": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0004",},
			"nsslaa2j": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0009",},
			"nsspmw2j": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0012",},
			"nssqmvar2j": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0013",},
			"nsscos2j": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0319",},
			"nsslaa2jy": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0014",},
			"nsspmw2jy": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0017",},
			"nssqmvar2jy": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0018",},
			"nsscos2jy": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0327",},
			"nsslaa2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0031",},
			"nsspkw2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0032",},
			"nssqkvar2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0033",},
			"nsscos2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0298",},
			"nssuakv2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0082",},
			"nssuabkv2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0085",},
			"nssfhz2y": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0323",},
			"nssuakv1zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0082",},
			"nssuabkv1zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0085",},
			"nsslaa1zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0022",},
			"nsspmw1zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0023",},
			"nssqmvar1zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0024",},
			"nsscos1zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0960",},
			"nssdw1zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0037",},
			"nssymwd1zb1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0249",},
			"nssymwd1zb2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0250",},
			"nsslaa1zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0025",},
			"nsspmw1zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0026",},
			"nssqmvar1zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0027",},
			"nsscos1zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0273",},
			"nssuakv2zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0086",},
			"nssuabkv2zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0089",},
			"nsslaa2zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0025",},
			"nsspmw2zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0026",},
			"nssqmvar2zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0027",},
			"nsscos2zbs": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0273",},
			"nssdw2zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0038",},
			"nssymwd2zb1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0274",},
			"nssymwd2zb2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0275",},
			"nss2laa2zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0028",},
			"nsspmw2zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0029",},
			"nssqmvar2zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0030",},
			"nsscos2zbx": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0286",},
			"nssuakv3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0090",},
			"nssuabkv3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0093",},
			"nssdw3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0039",},
			"nssymwd3zb1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0299",},
			"nssymwd3zb2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0300",},
			"nsslaa3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0034",},
			"nsspmw3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0035",},
			"nssqmvar3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0036",},
			"nsscos3zb": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0311",},
			"nsslaajd1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0040",},
			"nsspmwjd1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0041",},
			"nssqmvarjd1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0042",},
			"nsslaajd2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0043",},
			"nsspmwjd2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0044",},
			"nssqmvarjd2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0045",},
			"nsslaajd3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0046",},
			"nsspmwjd3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0047",},
			"nssqmvarjd3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0048",},
			"nsslaadr1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0049",},
			"nssqmvardr1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0050",},
			"nsslaadk1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0051",},
			"nsspmwdk1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0052",},
			"nssqmvardk1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0053",},
			"nsslaajdb1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0955",},
			"nsspmwjdb1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0958",},
			"nssqmvarjdb1": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0959",},
			"nsslaajd4": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0054",},
			"nsspmwjd4": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0055",},
			"nssqmvarjd4": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0056",},
			"nsslaajd5": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0057",},
			"nsspmwjd5": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0058",},
			"nssqmvarjd5": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0059",},
			"nsslaajd6": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0060",},
			"nsspmwjd6": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0061",},
			"nssqmvarjd6": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0062",},
			"nsslaadr2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0063",},
			"nssqmvardr2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0064",},
			"nsslaadk2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0065",},
			"nsspmwdk2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0066",},
			"nssqmvardk2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0067",},
			"nsslaajdb2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0067",},
			"nsspmwjdb2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0070",},
			"nssqmvarjdb2": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0071",},
			"nsslaajd7": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0068",},
			"nsspmwjd7": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0069",},
			"nssqmvarjd7": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0070",},
			"nsslaajd8": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0071",},
			"nsspmwjd8": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0072",},
			"nssqmvarjd8": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0073",},
			"nsslaajd9": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0074",},
			"nsspmwjd9": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0075",},
			"nssqmvarjd9": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0076",},
			"nsslaadr3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0077",},
			"nssqmvardr3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0078",},
			"nsslaadk3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0079",},
			"nsspmwdk3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0080",},
			"nssqmvardk3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0081",},
			"nsslaajdb3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0979",},
			"nsspmwjdb3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0982",},
			"nssqmvarjdb3": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_AI0983",},
			"nsskg1110": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0008",},
			"nsskg11103": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0007",},
			"nsskg11101": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0006",},
			"nssgk1113": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0005",},
			"nsskg1111": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0004",},
			"nsskg1210": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0016",},
			"nsskg12103": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0015",},
			"nsskg12101": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0014",},
			"nsskg1213": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0013",},
			"nsskg1212": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0012",},
			"nsskg119": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0064",},
			"nsskg110": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0066",},
			"nsskg1109": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0065",},
			"nsskg10101": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0022",},
			"nsskg10103": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0023",},
			"nsskg1010": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0024",},
			"nsskg0110": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0028",},
			"nsskg1011": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0020",},
			"nsskg1013": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0021",},
			"nsskg3013": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0027",},
			"nsskg3011": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0026",},
			"nsskg10201": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0037",},
			"nsskg10203": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0038",},
			"nsskg1020": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0039",},
			"nsskg0120": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0043",},
			"nsskg1021": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0035",},
			"nsskg1023": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0036",},
			"nsskg3023": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0042",},
			"nsskg3021": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0041",},
			"nsskg120": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0069",},
			"nsskg129": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0067",},
			"nsskg1209": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0068",},
			"nsskg10302": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0052",},
			"nsskg10303": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0053",},
			"nsskg1030": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0054",},
			"nsskg0130": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0058",},
			"nsskg1032": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0050",},
			"nsskg1033": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0051",},
			"nsskg3033": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0057",},
			"nsskg3031": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0056",},
			"nsskg319": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0154",},
			"nsskg310": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0155",},
			"nsskg3121": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0071",},
			"nsskg3123": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0072",},
			"nsskg3120": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0073",},
			"nsskg3131": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0077",},
			"nsskg3133": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0078",},
			"nsskg3130": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0079",},
			"nsskg3141": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0083",},
			"nsskg3143": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0084",},
			"nsskg3140": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0085",},
			"nsskg3151": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0089",},
			"nsskg3153": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0090",},
			"nsskg3150": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0091",},
			"nsskg3161": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0094",},
			"nsskg3163": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0095",},
			"nsskg3160": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0096",},
			"nsskg3171": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1023",},
			"nsskg320": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0157",},
			"nsskg329": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0156",},
			"nsskg3212": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0099",},
			"nsskg3213": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0100",},
			"nsskg3210": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0101",},
			"nsskg3222": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0105",},
			"nsskg3223": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0106",},
			"nsskg3220": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0107",},
			"nsskg3232": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0111",},
			"nsskg3233": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0112",},
			"nsskg3230": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0113",},
			"nsskg3251": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0117",},
			"nsskg3253": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0118",},
			"nsskg3250": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0119",},
			"nsskg3262": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0122",},
			"nsskg3263": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0123",},
			"nsskg3260": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0124",},
			"nsskg3272": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1473",},
			"nsskg350": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0159",},
			"nsskg359": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0158",},
			"nsskg3511": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0127",},
			"nsskg3513": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0128",},
			"nsskg3510": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0129",},
			"nsskg3531": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0133",},
			"nsskg3533": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0134",},
			"nsskg3530": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0135",},
			"nsskg3541": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0139",},
			"nsskg3543": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0140",},
			"nsskg3540": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0141",},
			"nsskg3551": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0145",},
			"nsskg3553": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0146",},
			"nsskg3550": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0147",},
			"nsskg3561": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0150",},
			"nsskg3563": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0151",},
			"nsskg3560": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0152",},
			"nsskg3571": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1512",},
			"nssdlq111": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0003",},
			"nssdlq121": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0011",},
			"nssdlq101": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0019",},
			"nssdlq301": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0025",},
			"nssdlq102": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0034",},
			"nssdlq302": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0040",},
			"nssdlq103": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0049",},
			"nssdlq303": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0055",},
			"nssdlq312": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0070",},
			"nssdlq313": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0076",},
			"nssdlq314": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0082",},
			"nssdlq315": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0088",},
			"nssdlq316": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0093",},
			"nssdlq317": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1433",},
			"nssdlq321": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0098",},
			"nssdlq322": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0104",},
			"nssdlq323": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0110",},
			"nssdlq325": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0116",},
			"nssdlq326": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0121",},
			"nssdlq327": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1472",},
			"nssdlq351": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0126",},
			"nssdlq353": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0132",},
			"nssdlq354": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0138",},
			"nssdlq355": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0144",},
			"nssdlq356": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0149",},
			"nssdlq357": {tag:"NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1511",},
		},
		"MHS_FDC": {
			"mhsIaa": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0009",},
			"mhspmw": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0013",},
			"mhsqmvar": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0014",},
			"mhsuxkv": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0004",},
			"mhsfhz": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0016",},
			"mhscos": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0015",},
			"mhsuakv": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0001",},
			"mhsubkv": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0002",},
			"mhsuckv": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0003",},
			"mhsu0kv": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0008",},
			"mhsuakvzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0033",},
			"mhsubkvzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0034",},
			"mhsuckvzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0035",},
			"mhsu0kvzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0040",},
			"mhsdwzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0217",},
			"mhsymwdzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0049",},
			"mhsrzwdzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0050",},
			"mhsIaazb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0041",},
			"mhsPmwzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0045",},
			"mhsqmvarzb1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0046",},
			"mhsdwzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0261",},
			"mhsymwdzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0259",},
			"mhsrzwdzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0260",},
			"mhslaazb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0250",},
			"mhspmwzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0254",},
			"mhsqmvarzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0255",},
			"mhsuabkvzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0246",},
			"mhsubckvzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0247",},
			"mhsucakvzb2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0248",},
			"mhslaajd1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0149",},
			"mhspmwjd1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0160",},
			"mhsqmvarjd1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0161",},
			"mhslaazy": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0135",},
			"mhspmwzy": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0146",},
			"mhsqmvarzy": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0147",},
			"mhslaadr2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0121",},
			"mhspmwdr2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0132",},
			"mhsqmvardr2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0133",},
			"mhslaadr1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0107",},
			"mhspmwdr1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0118",},
			"mhsqmvardr1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0119",},
			"mhslaadk": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0093",},
			"mhspmwdk": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0104",},
			"mhsqmvardk": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0105",},
			"mhslaafc3": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0097",},
			"mhspmwfc3": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0190",},
			"mhsqmvarfc3": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0191",},
			"mhslaafc2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0065",},
			"mhspmwfc2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0176",},
			"mhsqmvarfc2": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0177",},
			"mhslaafc1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0051",},
			"mhspmwfc1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0162",},
			"mhsqmvargc1": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0163",},
			"mhslaafc4": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0264",},
			"mhspmwfc4": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0274",},
			"mhsqmvarfc4": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_AI0275",},
			"mhskg1110": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0021",},
			"mhskg11103": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0019",},
			"mhskg11101": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0029",},
			"mhskg1113": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0015",},
			"mhskg1111": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0013",},
			"mhskg110": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1200",},
			"mhskg10101": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1198",},
			"mhskg10103": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1196",},
			"mhskg1010": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0029",},
			"mhskg0110": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0130",},
			"mhskg3010": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0872",},
			"mhskg1011": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1194",},
			"mhskg1013": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1192",},
			"mhskg1109": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0642",},
			"mhskg10201": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0903",},
			"mhskg10203": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0901",},
			"mhskg1020": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0899",},
			"mhskg0120": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0946",},
			"mhskg1021": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0897",},
			"mhskg1023": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0895",},
			"mhskg3180": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0802",},
			"mhskg3170": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0871",},
			"mhskg3160": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0866",},
			"mhskg3150": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0865",},
			"mhskg3140": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0864",},
			"mhskg3130": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0870",},
			"mhskg3120": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0869",},
			"mhskg3110": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0867",},
			"mhskg3230": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0489",},
			"mhskg3220": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1033",},
			"mhskg3210": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0988",},
			"mhsdlq111": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0006",},
			"mhsdlq101": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1185",},
			"mhsdlq102": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0893",},
			"mhsdlq301": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0141",},
			"mhsdlq302": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0940",},
			"mhsdlq323": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0483",},
			"mhsdlq317": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0696",},
			"mhsdlq316": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0636",},
			"mhsdlq315": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0585",},
			"mhsdlq314": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0534",},
			"mhsdlq313": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0485",},
			"mhsdlq312": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0425",},
			"mhsdlq311": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0365",},
			"mhsdlq322": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1029",},
			"mhsdlq321": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0985",},
			"mhssc301": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0154",},
			"mhssc302": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0933",},
			"mhssc318": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0801",},
			"mhssc317": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0698",},
			"mhssc316": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0638",},
			"mhssc315": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0587",},
			"mhssc314": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0536",},
			"mhssc319": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0863",},
			"mhssc313": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0487",},
			"mhssc312": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0427",},
			"mhssc311": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0367",},
			"mhssc322": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1031",},
			"mhssc321": {tag:"MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0986",},
		},
		"PL1_GDC": {
			"pl1laayt": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0047",},
			"pl1pkwyt": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0050",},
			"pl1qkvaryt": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0051",},
			"pl1cosyt": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0052",},
			"pl1laawg": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0089",},
			"pl1pkwwg": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0092",},
			"pl1qkvarwg": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0093",},
			"pl1coswg": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0092",},
			"pl1blaacy": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0053",},
			"pl1bpcy": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0046",},
			"pl1bqcy": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0057",},
			"pl1bcoscy": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0058",},
			"pl1laagf1": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0059",},
			"pl1pkwgf1": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0062",},
			"pl1qkvargf1": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0063",},
			"pl1cosgf1": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0064",},
			"pl1laagf2": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0065",},
			"pl1pkwgf2": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0068",},
			"pl1qkvargf2": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0069",},
			"pl1cosgf2": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0070",},
			"pl1laagf3": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0071",},
			"pl1pkwgf3": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0074",},
			"pl1qkvargf3": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0075",},
			"pl1cosgf3": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0076",},
			"pl1laagf4": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0077",},
			"pl1pkwgf4": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0080",},
			"pl1qkvargf4": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0081",},
			"pl1cosgf4": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0082",},
			"pl1laagf5": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0083",},
			"pl1pkwgf5": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0086",},
			"pl1qkvargf5": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0087",},
			"pl1cosgf5": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0088",},
			"pl1srdy01": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0095",},
			"pl1srdy02": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_002_AI0095",},
			"pl1srdy03": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_003_AI0095",},
			"pl1srdy04": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_004_AI0095",},
			"pl1srdy05": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_005_AI0095",},
			"pl1srdy06": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_006_AI0095",},
			"pl1srdy07": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_007_AI0095",},
			"pl1srdy08": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_008_AI0095",},
			"pl1srdy09": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_009_AI0095",},
			"pl1srdy10": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_010_AI0095",},
			"pl1srdy11": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_011_AI0095",},
			"pl1srdy12": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_012_AI0095",},
			"pl1srdy13": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_013_AI0095",},
			"pl1srdy14": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_014_AI0095",},
			"pl1srdy15": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_015_AI0095",},
			"pl1srdy16": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_016_AI0095",},
			"pl1srdy17": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L5_017_AI0095",},
			"pl1srdy18": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L5_018_AI0095",},
			"pl1srdy19": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L5_019_AI0095",},
			"pl1scgl01": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0097",},
			"pl1scgl02": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_002_AI0097",},
			"pl1scgl03": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_003_AI0097",},
			"pl1scgl04": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_004_AI0097",},
			"pl1scgl05": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_005_AI0097",},
			"pl1scgl06": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_006_AI0097",},
			"pl1scgl07": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_007_AI0097",},
			"pl1scgl08": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L2_008_AI0097",},
			"pl1scgl09": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_009_AI0097",},
			"pl1scgl10": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_010_AI0097",},
			"pl1scgl11": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_011_AI0097",},
			"pl1scgl12": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L3_012_AI0097",},
			"pl1scgl13": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_013_AI0097",},
			"pl1scgl14": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_014_AI0097",},
			"pl1scgl15": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_015_AI0097",},
			"pl1scgl16": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L4_016_AI0097",},
			"pl1scgl17": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L5_017_AI0097",},
			"pl1scgl18": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L5_018_AI0097",},
			"pl1scgl19": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L5_019_AI0097",},
			"pl1dlq310": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0001",},
			"pl1dlq318": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0015",},
			"pl1dlq312": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0003",},
			"pl1dlq313": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0005",},
			"pl1dlq314": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0007",},
			"pl1dlq315": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0009",},
			"pl1dlq316": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0011",},
			"pl1dlq317": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0013",},
			"pL1dlq01": {tag:"PLGF.NX_GD_PLG_GF_P1_L1_001_DI0062",},
			"pL1dlq02": {tag:"PLGF.NX_GD_PLG_GF_P1_L1_002_DI0062",},
			"pL1dlq03": {tag:"PLGF.NX_GD_PLG_GF_P1_L1_003_DI0062",},
			"pL1dlq04": {tag:"PLGF.NX_GD_PLG_GF_P1_L1_004_DI0062",},
			"pL1dlq05": {tag:"PLGF.NX_GD_PLG_GF_P1_L2_005_DI0062",},
			"pL1dlq06": {tag:"PLGF.NX_GD_PLG_GF_P1_L2_006_DI0062",},
			"pL1dlq07": {tag:"PLGF.NX_GD_PLG_GF_P1_L2_007_DI0062",},
			"pL1dlq08": {tag:"PLGF.NX_GD_PLG_GF_P1_L2_008_DI0062",},
			"pL1dlq09": {tag:"PLGF.NX_GD_PLG_GF_P1_L3_009_DI0062",},
			"pL1dlq10": {tag:"PLGF.NX_GD_PLG_GF_P1_L3_010_DI0062",},
			"pL1dlq11": {tag:"PLGF.NX_GD_PLG_GF_P1_L3_011_DI0062",},
			"pL1dlq12": {tag:"PLGF.NX_GD_PLG_GF_P1_L3_012_DI0062",},
			"pL1dlq13": {tag:"PLGF.NX_GD_PLG_GF_P1_L4_013_DI0062",},
			"pL1dlq14": {tag:"PLGF.NX_GD_PLG_GF_P1_L4_014_DI0062",},
			"pL1dlq15": {tag:"PLGF.NX_GD_PLG_GF_P1_L4_015_DI0062",},
			"pL1dlq16": {tag:"PLGF.NX_GD_PLG_GF_P1_L4_016_DI0062",},
			"pL1dlq17": {tag:"PLGF.NX_GD_PLG_GF_P1_L5_017_DI0062",},
			"pL1dlq18": {tag:"PLGF.NX_GD_PLG_GF_P1_L5_018_DI0062",},
			"pL1dlq19": {tag:"PLGF.NX_GD_PLG_GF_P1_L5_019_DI0062",},
			"pl1sc310": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0002",},
			"pl1sc318": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0016",},
			"pl1sc312": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0004",},
			"pl1sc313": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0006",},
			"pl1sc314": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0008",},
			"pl1sc315": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0010",},
			"pl1sc316": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0012",},
			"pl1sc317": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0014",},
		},
		"PL2_GDC": {
			"pl2laagf6": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0007",},
			"pl2pkwgf6": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0010",},
			"pl2laawg2": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0031",},
			"pl2pkwwg2": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0034",},
			"pl2qkvar": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0035",},
			"pl2cos": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0036",},
			"pl2laagf7": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0019",},
			"pl2pkwgf7": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0022",},
			"pl2laa326": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0037",},
			"pl2pkw326": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_AI0040",},
			"pl2srdy20": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_020_AI0008",},
			"pl2srdy21": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_021_AI0008",},
			"pl2srdy22": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_022_AI0008",},
			"pl2srdy23": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_023_AI0008",},
			"pl2srdy24": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_024_AI0008",},
			"pl2srdy25": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_025_AI0008",},
			"pl2srdy26": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_026_AI0008",},
			"pl2srdy27": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_027_AI0008",},
			"pl2srdy28": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_028_AI0008",},
			"pl2srdy29": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_029_AI0008",},
			"pl2srdy30": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_030_AI0008",},
			"pl2srdy31": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_031_AI0008",},
			"pl2srdy32": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_032_AI0008",},
			"pl2srdy33": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_033_AI0008",},
			"pl2srdy34": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_034_AI0008",},
			"pl2srdy35": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_035_AI0008",},
			"pl2srdy36": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_036_AI0008",},
			"pl2srdy37": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_037_AI0008",},
			"pl2srdy38": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_038_AI0008",},
			"pl2srdy39": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_039_AI0008",},
			"pl2srdy40": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_040_AI0004",},
			"pl2srdy41": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_041_AI0004",},
			"pl2srdy42": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_042_AI0004",},
			"pl2srdy43": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_043_AI0004",},
			"pl2srdy44": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_044_AI0004",},
			"pl2srdy45": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_045_AI0004",},
			"pl2srdy46": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_046_AI0004",},
			"pl2srdy47": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_047_AI0671",},
			"pl2srdy48": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_048_AI0004",},
			"pl2srdy49": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_049_AI0004",},
			"pl2srdy50": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_050_AI0046",},
			"pl2srdy51": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_051_AI0004",},
			"pl2srdy52": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_052_AI0004",},
			"pl2srdy53": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_053_AI0004",},
			"pl2srdy54": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_054_AI0004",},
			"pl2srdy55": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_055_AI0004",},
			"pl2srdy56": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_056_AI0004",},
			"pl2srdy57": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_057_AI0004",},
			"pl2srdy58": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_058_AI0004",},
			"pl2srdy59": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_059_AI0004",},
			"pl2srdy60": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_060_AI0004",},
			"pl2srdy61": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_061_AI0004",},
			"pl2scgl20": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_020_AI0020",},
			"pl2scgl21": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_021_AI0020",},
			"pl2scgl22": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_022_AI0020",},
			"pl2scgl23": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_023_AI0020",},
			"pl2scgl24": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_024_AI0020",},
			"pl2scgl25": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_025_AI0020",},
			"pl2scgl26": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_026_AI0020",},
			"pl2scgl27": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_027_AI0020",},
			"pl2scgl28": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_028_AI0020",},
			"pl2scgl29": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_029_AI0020",},
			"pl2scgl30": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_030_AI0020",},
			"pl2scgl31": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_031_AI0020",},
			"pl2scgl32": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_032_AI0020",},
			"pl2scgl33": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_033_AI0020",},
			"pl2scgl34": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_034_AI0020",},
			"pl2scgl35": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_035_AI0020",},
			"pl2scgl36": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_036_AI0020",},
			"pl2scgl37": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_037_AI0020",},
			"pl2scgl38": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_038_AI0020",},
			"pl2scgl39": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_039_AI0020",},
			"pl2scgl40": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_040_AI0017",},
			"pl2scgl41": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_041_AI0017",},
			"pl2scgl42": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_042_AI0017",},
			"pl2scgl43": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_043_AI0017",},
			"pl2scgl44": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_044_AI0017",},
			"pl2scgl45": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_045_AI0017",},
			"pl2scgl46": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_046_AI0017",},
			"pl2scgl47": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_047_AI0684",},
			"pl2scgl48": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_048_AI0017",},
			"pl2scgl49": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_049_AI0017",},
			"pl2scgl50": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_050_AI0059",},
			"pl2scgl51": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_051_AI0017",},
			"pl2scgl52": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_052_AI0017",},
			"pl2scgl53": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_053_AI0017",},
			"pl2scgl54": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_054_AI0017",},
			"pl2scgl55": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_055_AI0017",},
			"pl2scgl56": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_056_AI0017",},
			"pl2scgl57": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_057_AI0017",},
			"pl2scgl58": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_058_AI0017",},
			"pl2scgl59": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_059_AI0017",},
			"pl2scgl60": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_060_AI0017",},
			"pl2scgl61": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_061_AI0017",},
			"pl2rfdl20": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_020_AI0026",},
			"pl2rfdl21": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_021_AI0026",},
			"pl2rfdl22": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_022_AI0026",},
			"pl2rfdl23": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_023_AI0026",},
			"pl2rfdl24": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_024_AI0026",},
			"pl2rfdl25": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_025_AI0026",},
			"pl2rfdl26": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_026_AI0026",},
			"pl2rfdl27": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_027_AI0026",},
			"pl2rfdl28": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_028_AI0026",},
			"pl2rfdl29": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_029_AI0026",},
			"pl2rfdl30": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_030_AI0026",},
			"pl2rfdl31": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_031_AI0026",},
			"pl2rfdl32": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_032_AI0026",},
			"pl2rfdl33": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_033_AI0026",},
			"pl2rfdl34": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_034_AI0026",},
			"pl2rfdl35": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_035_AI0026",},
			"pl2rfdl36": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_036_AI0026",},
			"pl2rfdl37": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_037_AI0026",},
			"pl2rfdl38": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_038_AI0026",},
			"pl2rfdl39": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L6_039_AI0026",},
			"pl2rfdl40": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_040_AI0021",},
			"pl2rfdl41": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_041_AI0021",},
			"pl2rfdl42": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_042_AI0021",},
			"pl2rfdl43": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_043_AI0021",},
			"pl2rfdl44": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_044_AI0021",},
			"pl2rfdl45": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_045_AI0021",},
			"pl2rfdl46": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_046_AI0021",},
			"pl2rfdl47": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L7_047_AI0688",},
			"pl2rfdl48": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_048_AI0021",},
			"pl2rfdl49": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_049_AI0021",},
			"pl2rfdl50": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_050_AI0063",},
			"pl2rfdl51": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_051_AI0021",},
			"pl2rfdl52": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_052_AI0021",},
			"pl2rfdl53": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_053_AI0021",},
			"pl2rfdl54": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_054_AI0021",},
			"pl2rfdl55": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_055_AI0021",},
			"pl2rfdl56": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_056_AI0021",},
			"pl2rfdl57": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_057_AI0021",},
			"pl2rfdl58": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_058_AI0021",},
			"pl2rfdl59": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_059_AI0021",},
			"pl2rfdl60": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_060_AI0021",},
			"pl2rfdl61": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L7_061_AI0021",},
			"pl2zfdl20": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1117",},
			"pl2zfdl21": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1118",},
			"pl2zfdl22": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1119",},
			"pl2zfdl23": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1120",},
			"pl2zfdl24": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1121",},
			"pl2zfdl25": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1122",},
			"pl2zfdl26": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1123",},
			"pl2zfdl27": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1124",},
			"pl2zfdl28": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1125",},
			"pl2zfdl29": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1126",},
			"pl2zfdl30": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1127",},
			"pl2zfdl31": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1128",},
			"pl2zfdl32": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1129",},
			"pl2zfdl33": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1130",},
			"pl2zfdl34": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1131",},
			"pl2zfdl35": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1132",},
			"pl2zfdl36": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1133",},
			"pl2zfdl37": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1134",},
			"pl2zfdl38": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1135",},
			"pl2zfdl39": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1136",},
			"pl2zfdl40": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1137",},
			"pl2zfdl41": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1138",},
			"pl2zfdl42": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1139",},
			"pl2zfdl43": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1140",},
			"pl2zfdl44": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1141",},
			"pl2zfdl45": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1142",},
			"pl2zfdl46": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1143",},
			"pl2zfdl47": {tag:"PLSJ2.NX_GD_PLG_DD_P1_L1_001_PI1144",},
			"pl2zfdl48": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3622",},
			"pl2zfdl49": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3623",},
			"pl2zfdl50": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3624",},
			"pl2zfdl51": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3625",},
			"pl2zfdl52": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3626",},
			"pl2zfdl53": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3627",},
			"pl2zfdl54": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3628",},
			"pl2zfdl55": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3629",},
			"pl2zfdl56": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3630",},
			"pl2zfdl57": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3631",},
			"pl2zfdl58": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3632",},
			"pl2zfdl59": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3633",},
			"pl2zfdl60": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3634",},
			"pl2zfdl61": {tag:"PLSJ3.NX_GD_PLG_GF_P1_L1_001_PI3635",},
			"pl2kg01z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0027",},
			"pl2kg01y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0028",},
			"pl2kg02z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0033",},
			"pl2kg02y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0034",},
			"pl2kg03z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0039",},
			"pl2kg03y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0040",},
			"pl2kg04z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0045",},
			"pl2kg04y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0046",},
			"pl2kg05z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0051",},
			"pl2kg05y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0052",},
			"pl2kg06z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0057",},
			"pl2kg06y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0058",},
			"pl2kg07z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0063",},
			"pl2kg07y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0064",},
			"pl2kg08z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0069",},
			"pl2kg08y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0070",},
			"pl2kg09z": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0075",},
			"pl2kg09y": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0076",},
			"pl2kg09h": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0077",},
			"pl2q10": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0084",},
			"pl2dlq322": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0017",},
			"pl2dlq323": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0019",},
			"pl2dlq324": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0021",},
			"pl2dlq325": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0023",},
			"pl2dlq326": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0025",},
			"pL2dlq20": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_020_DI0091",},
			"pL2dlq21": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_021_DI0090",},
			"pL2dlq22": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_022_DI0090",},
			"pL2dlq23": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_023_DI0090",},
			"pL2dlq24": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_024_DI0090",},
			"pL2dlq25": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_025_DI0090",},
			"pL2dlq26": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_026_DI0090",},
			"pL2dlq27": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_027_DI0090",},
			"pL2dlq28": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_028_DI0090",},
			"pL2dlq29": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_029_DI0090",},
			"pL2dlq30": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_030_DI0090",},
			"pL2dlq31": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_031_DI0090",},
			"pL2dlq32": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_032_DI0090",},
			"pL2dlq33": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_033_DI0090",},
			"pL2dlq34": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_034_DI0090",},
			"pL2dlq35": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_035_DI0090",},
			"pL2dlq36": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_036_DI0090",},
			"pL2dlq37": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_037_DI0090",},
			"pL2dlq38": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_038_DI0090",},
			"pL2dlq39": {tag:"PLGF.NX_GD_PLG_GF_P2_L1_039_DI0090",},
			"pL2dlq40": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_040_DI0062",},
			"pL2dlq41": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_041_DI0062",},
			"pL2dlq42": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_042_DI0062",},
			"pL2dlq43": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_043_DI0062",},
			"pL2dlq44": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_044_DI0062",},
			"pL2dlq45": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_045_DI0062",},
			"pL2dlq46": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_046_DI0062",},
			"pL2dlq47": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_047_DI0062",},
			"pL2dlq48": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_048_DI0062",},
			"pL2dlq49": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_049_DI0062",},
			"pL2dlq50": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_050_DI0061",},
			"pL2dlq51": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_051_DI0062",},
			"pL2dlq52": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_052_DI0062",},
			"pL2dlq53": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_053_DI0062",},
			"pL2dlq54": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_054_DI0062",},
			"pL2dlq55": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_055_DI0062",},
			"pL2dlq56": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_056_DI0062",},
			"pL2dlq57": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_057_DI0062",},
			"pL2dlq58": {tag:"PLGF.NX_GD_PLG_GF_P2_L2_058_DI0062",},
			"pl2sc322": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0018",},
			"pl2sc323": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0020",},
			"pl2sc324": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0022",},
			"pl2sc325": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0024",},
			"pl2sc326": {tag:"PLSJ1.NX_GD_PLG_DQ_P1_L1_001_DI0026",},
		},
		"MCH_GDC": {
			"mchuakvz": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0041",},
			"mchubkvz": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0042",},
			"mchuckvz": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0043",},
			"mchuabkvz": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0044",},
			"mchubckvz": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0045",},
			"mchucakvz": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0110",},
			"mchlaas": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0013",},
			"mchpmws": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0020",},
			"mchqkvars": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0021",},
			"mchlaax": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0131",},
			"mchpmwx": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0138",},
			"mchqkvarx": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0139",},
			"mchuakvy": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0209",},
			"mchubkvy": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0210",},
			"mchuckvy": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0211",},
			"mchuabkvy": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0212",},
			"mchubckvy": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0213",},
			"mchucakvy": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0214",},
			"mchla515": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0197",},
			"mchp515": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0204",},
			"mchq515": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0205",},
			"mchla514": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0184",},
			"mchp514": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0191",},
			"mchq514": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0192",},
			"mchla513": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0171",},
			"mchp513": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0178",},
			"mchq513": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0179",},
			"mchla512": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0158",},
			"mchp512": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0165",},
			"mchq512": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0166",},
			"mchla511": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0150",},
			"mchp511": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0153",},
			"mchq511": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0154",},
			"mchla521": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0215",},
			"mchp521": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0218",},
			"mchq521": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0219",},
			"mchla522": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0223",},
			"mchp522": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0230",},
			"mchq522": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0231",},
			"mchla523": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0236",},
			"mchp523": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0243",},
			"mchq523": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0244",},
			"mchla524": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0249",},
			"mchp524": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0256",},
			"mchq524": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0257",},
			"mch1hla525": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0288",},
			"mch1hp525": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0295",},
			"mch1hq525": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0296",},
			"mchla526": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0262",},
			"mchp526": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0269",},
			"mchq526": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0270",},
			"mchla527": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0275",},
			"mchp527": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0282",},
			"mchq527": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_AI0283",},
			"mchsrdy19": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_019_AI0001",},
			"mchsrdy20": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_020_AI0001",},
			"mchsrdy21": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_021_AI0001",},
			"mchsrdy22": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_022_AI0001",},
			"mchsrdy23": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_023_AI0001",},
			"mchsrdy24": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_024_AI0001",},
			"mchsrdy25": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_025_AI0001",},
			"mchsrdy01": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_001_AI0003",},
			"mchsrdy02": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_002_AI0003",},
			"mchsrdy03": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_003_AI0003",},
			"mchsrdy04": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_004_AI0003",},
			"mchsrdy05": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_005_AI0003",},
			"mchsrdy06": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_006_AI0003",},
			"mchsrdy07": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_007_AI0003",},
			"mchsrdy08": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_008_AI0003",},
			"mchsrdy09": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_009_AI0003",},
			"mchsrdy10": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_010_AI0003",},
			"mchsrdy11": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_011_AI0003",},
			"mchsrdy12": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_012_AI0003",},
			"mchsrdy13": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_013_AI0003",},
			"mchsrdy14": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_014_AI0003",},
			"mchsrdy15": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_015_AI0003",},
			"mchsrdy16": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_016_AI0003",},
			"mchsrdy17": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_017_AI0003",},
			"mchsrdy18": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_018_AI0001",},
			"mchscgl19": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_019_AI0003",},
			"mchscgl20": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_020_AI0003",},
			"mchscgl21": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_021_AI0003",},
			"mchscgl22": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_022_AI0003",},
			"mchscgl23": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_023_AI0003",},
			"mchscgl24": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_024_AI0003",},
			"mchscgl25": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_025_AI0003",},
			"mchscgl01": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_001_AI0001",},
			"mchscgl02": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_002_AI0001",},
			"mchscgl03": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_003_AI0001",},
			"mchscgl04": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_004_AI0001",},
			"mchscgl05": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_005_AI0001",},
			"mchscgl06": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_006_AI0001",},
			"mchscgl07": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_007_AI0001",},
			"mchscgl08": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_008_AI0001",},
			"mchscgl09": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_009_AI0001",},
			"mchscgl10": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_010_AI0001",},
			"mchscgl11": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_011_AI0001",},
			"mchscgl12": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_012_AI0001",},
			"mchscgl13": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_013_AI0001",},
			"mchscgl14": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_014_AI0001",},
			"mchscgl15": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_015_AI0001",},
			"mchscgl16": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_016_AI0001",},
			"mchscgl17": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_017_AI0001",},
			"mchscgl18": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_018_AI0003",},
			"mchrfdl19": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_019_AI0006",},
			"mchrfdl20": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_020_AI0006",},
			"mchrfdl21": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_021_AI0006",},
			"mchrfdl22": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_022_AI0006",},
			"mchrfdl23": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_023_AI0006",},
			"mchrfdl24": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_024_AI0006",},
			"mchrfdl25": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_025_AI0006",},
			"mchrfdl01": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_001_AI0006",},
			"mchrfdl02": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_002_AI0006",},
			"mchrfdl03": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_003_AI0006",},
			"mchrfdl04": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_004_AI0006",},
			"mchrfdl05": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_005_AI0006",},
			"mchrfdl06": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_006_AI0006",},
			"mchrfdl07": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_007_AI0006",},
			"mchrfdl08": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_008_AI0006",},
			"mchrfdl09": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_009_AI0006",},
			"mchrfdl10": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_010_AI0006",},
			"mchrfdl11": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_011_AI0006",},
			"mchrfdl12": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_012_AI0006",},
			"mchrfdl13": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_013_AI0006",},
			"mchrfdl14": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_014_AI0006",},
			"mchrfdl15": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_015_AI0006",},
			"mchrfdl16": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_016_AI0006",},
			"mchrfdl17": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_017_AI0006",},
			"mchrfdl18": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_018_AI0006",},
			"mchzfdl19": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_019_AI0007",},
			"mchzfdl20": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_020_AI0007",},
			"mchzfdl21": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_021_AI0007",},
			"mchzfdl22": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_022_AI0007",},
			"mchzfdl23": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_023_AI0007",},
			"mchzfdl24": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_024_AI0007",},
			"mchzfdl25": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_025_AI0007",},
			"mchzfdl01": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_001_AI0008",},
			"mchzfdl02": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_002_AI0008",},
			"mchzfdl03": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_003_AI0008",},
			"mchzfdl04": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_004_AI0008",},
			"mchzfdl05": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_005_AI0008",},
			"mchzfdl06": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_006_AI0008",},
			"mchzfdl07": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_007_AI0008",},
			"mchzfdl08": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_008_AI0008",},
			"mchzfdl09": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_009_AI0008",},
			"mchzfdl10": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_010_AI0008",},
			"mchzfdl11": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_011_AI0008",},
			"mchzfdl12": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_012_AI0008",},
			"mchzfdl13": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_013_AI0008",},
			"mchzfdl14": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_014_AI0008",},
			"mchzfdl15": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_015_AI0008",},
			"mchzfdl16": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_016_AI0008",},
			"mchzfdl17": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_017_AI0008",},
			"mchzfdl18": {tag:"MCHGF.NX_GD_MCHG_GF_P1_L1_018_AI0008",},
			"mchkg5250": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1515",},
			"mchdlq301": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0187",},
			"mchdlq501": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0451",},
			"mchdlq515": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0879",},
			"mchdlq514": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0786",},
			"mchdlq513": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0693",},
			"mchdlq512": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0600",},
			"mchdlq511": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0506",},
			"mchdlq521": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0950",},
			"mchdlq522": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1046",},
			"mchdlq523": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1139",},
			"mchdlq524": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1232",},
			"mchdlq525": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1511",},
			"mchdlq526": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1325",},
			"mchdlq527": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1418",},
			"mchsc301": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0185",},
			"mchsc501": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0449",},
			"mchsc519": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0698",},
			"mchsc515": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0881",},
			"mchsc514": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0788",},
			"mchsc513": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0695",},
			"mchsc512": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0602",},
			"mchsc511": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI0499",},
			"mchsc521": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1413",},
			"mchsc522": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1048",},
			"mchsc523": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1141",},
			"mchsc524": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1234",},
			"mchsc525": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1513",},
			"mchsc526": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1327",},
			"mchsc527": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1420",},
			"mchsc529": {tag:"MCHDQ.NX_GD_MCHG_DQ_P1_L1_001_DI1413",},
		},
		"SBQ_FDC": {
			"sbqlaa6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0009",},
			"sbqpkw6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0012",},
			"sbqqkvar6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0013",},
			"sbqfhz6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0001",},
			"sbqcos6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0014",},
			"sbquakv6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0130",},
			"sbqubkv6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0131",},
			"sbquckv6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0132",},
			"sbquabkv6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0133",},
			"sbqubckv6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0134",},
			"sbqu0kv6": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0135",},
			"sbqlaa5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0041",},
			"sbqpkw5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0044",},
			"sbqqkvar5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0045",},
			"sbqfhz5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0033",},
			"sbq5jcos5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0046",},
			"sbquakv5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0202",},
			"sbqubkv5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0203",},
			"sbquckv5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0204",},
			"sbquabkv5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0205",},
			"sbqubckv5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0206",},
			"sbqu0kv5j": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0208",},
			"sbqlaa5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0681",},
			"sbqpkw5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0684",},
			"sbqqkvar5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0685",},
			"sbqfhz5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0673",},
			"sbq6jcos5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0686",},
			"sbquakv5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0138",},
			"sbqubkv5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0139",},
			"sbquckv5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0140",},
			"sbquabkv5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0141",},
			"sbqubckv5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0142",},
			"sbqu0kv5y": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0143",},
			"sbquakvzb1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0146",},
			"sbqubkvzb1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0147",},
			"sbquckvzb1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0148",},
			"sbquabkvzb1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0149",},
			"sbqubckvzb1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0150",},
			"sbquokvzb1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0151",},
			"sbqpkwmx1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0076",},
			"sbqqkvarmx1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0077",},
			"sbqlaamx1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0073",},
			"sbqdwmx1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0562",},
			"sbquakvzb2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0218",},
			"sbqubkvzb2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0219",},
			"sbquckvzb2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0220",},
			"sbquabkvzb2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0221",},
			"sbqubckvzb2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0222",},
			"sbqu0kvzb2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0223",},
			"sbqpmx2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0108",},
			"sbqqmx2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0109",},
			"sbqlaamx2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0105",},
			"sbqdwmx2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0563",},
			"sbquakvzb3": {tag:"SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0609",},
			"sbqubkvzb3": {tag:"SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0610",},
			"sbquckvzb3": {tag:"SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0611",},
			"sbquabkvzb3": {tag:"SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0612",},
			"sbqubckvzb3": {tag:"SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0613",},
			"sbqu0kvzb3": {tag:"SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0615",},
			"sbqpkwzb3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0588",},
			"sbqqkvarzb3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0589",},
			"sbqlaazb3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0585",},
			"sbqdwzb3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0564",},
			"sbqpkwmx5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0716",},
			"sbqqkvarmx5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0717",},
			"sbqlaamx5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0713",},
			"sbqdwmx5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0565",},
			"sbquakvzb4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0706",},
			"sbqubkvzb4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0707",},
			"sbquckvzb4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0708",},
			"sbquabkvzb4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0709",},
			"sbqubckvzb4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0710",},
			"sbqu0kvzb4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0711",},
			"sbqlaafc1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0265",},
			"sbqpkwfc1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0268",},
			"sbqqkvarfc1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0269",},
			"sbqlaafc2": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0281",},
			"sbqpkwfc2": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0284",},
			"sbqqkvarfc2": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0285",},
			"sbqlaafc3": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0313",},
			"sbqpkwfc3": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0316",},
			"sbqqkvarfc3": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0317",},
			"sbqlaabc1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0329",},
			"sbqpkwbc1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0332",},
			"sbqqkvarbc1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0333",},
			"sbqlaazy1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0361",},
			"sbqpkwzy1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0364",},
			"sbqqkvarzy1": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0365",},
			"sbqlaafc4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0377",},
			"sbqpkwfc4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0380",},
			"sbqqvarfc4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0381",},
			"sbqlaafc5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0393",},
			"sbqpkwfc5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0396",},
			"sbqqvarfc5": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0397",},
			"sbqlaafc6": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0425",},
			"sbqpkwfc6": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0428",},
			"sbqqvarfc6": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0429",},
			"sbqlaabc2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0441",},
			"sbqpkwbc2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0444",},
			"sbqqvarbc2": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0445",},
			"sbqlaafc7": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0633",},
			"sbqpkwfc7": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0636",},
			"sbqqvarfc7": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0637",},
			"sbqlaafc8": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0649",},
			"sbqpkwfc8": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0652",},
			"sbqqvarfc8": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0653",},
			"sbqlaanc3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0665",},
			"sbqpkwnc3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0668",},
			"sbqqvarnc3": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0669",},
			"sbqlaafc9": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0761",},
			"sbqpkwfc9": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0764",},
			"sbqqvarfc9": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0765",},
			"sbqlaafc10": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0777",},
			"sbqpkwfc10": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0780",},
			"sbqqvarfc10": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0781",},
			"sbqlaafc11": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0793",},
			"sbqpkwfc11": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0796",},
			"sbqqvarfc11": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0797",},
			"sbqlaabc4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0809",},
			"sbqpkwbc4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0812",},
			"sbqqvarbc4": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0813",},
			"sbqkg1110": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0013",},
			"sbqkg11103": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0011",},
			"sbqkg11102": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0007",},
			"sbqkg111011": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0005",},
			"sbqkg1113": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0009",},
			"sbqkg1111": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0003",},
			"sbqkg1210": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0085",},
			"sbqkg12103": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0087",},
			"sbqkg12102": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0091",},
			"sbqkg121012": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0093",},
			"sbqkg1213": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0083",},
			"sbqkg1212": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0089",},
			"sbqkg1510": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2927",},
			"sbqkg15103": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2925",},
			"sbqkg15105": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2921",},
			"sbqkg151015": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2919",},
			"sbqkg1513": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2923",},
			"sbqkg1515": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2917",},
			"sbqkg10102": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0165",},
			"sbqkg10103": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0169",},
			"sbqkg1010": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0171",},
			"sbqkg1010110": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0173",},
			"sbqkg1011": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0163",},
			"sbqkg1013": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0167",},
			"sbqkg1190": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0325",},
			"sbqkg11909": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0323",},
			"sbqkg119": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0321",},
			"sbqkg10202": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0245",},
			"sbqkg10203": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0249",},
			"sbqkg1020": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0251",},
			"sbqkg1020120": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0253",},
			"sbqkg1022": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0243",},
			"sbqkg1023": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0247",},
			"sbqkg1290": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0515",},
			"sbqkg12909": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0517",},
			"sbqkg129": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0513",},
			"sbqkg10302": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2263",},
			"sbqkg10303": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2267",},
			"sbqkg1030": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2269",},
			"sbqkg1030130": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2271",},
			"sbqkg1032": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2261",},
			"sbqkg1033": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2265",},
			"sbqkg1590": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0356",},
			"sbqkg15909": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0426",},
			"sbqkg159": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0354",},
			"sbqkg10405": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2999",},
			"sbqkg10403": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3003",},
			"sbqkg1040": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3005",},
			"sbqkg1040140": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3007",},
			"sbqkg1045": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2997",},
			"sbqkg1043": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3001",},
			"sbqkg3120": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0976",},
			"sbqkg3130": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1040",},
			"sbqkg3140": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1168",},
			"sbqkg3160": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1232",},
			"sbqkg3150": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1360",},
			"sbqkg3210": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1424",},
			"sbqkg3220": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1488",},
			"sbqkg3230": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1616",},
			"sbqkg3240": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1680",},
			"sbqkg3310": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2546",},
			"sbqkg3320": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2610",},
			"sbqkg3340": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2674",},
			"sbqkg3510": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3282",},
			"sbqkg3520": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3346",},
			"sbqkg3530": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3410",},
			"sbqkg3540": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3474",},
			"sbqdlq111": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0001",},
			"sbqdlq121": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0081",},
			"sbqdlq151": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2915",},
			"sbqdlq101": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0161",},
			"sbqdlq102": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0241",},
			"sbqdlq103": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2259",},
			"sbqdlq104": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2995",},
			"sbqdlq301": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0175",},
			"sbqdlq302": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0255",},
			"sbqdlq303": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2273",},
			"sbqdlq304": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3009",},
			"sbqdlq312": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0971",},
			"sbqdlq313": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1035",},
			"sbqdlq314": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1163",},
			"sbqdlq316": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1227",},
			"sbqdlq315": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1355",},
			"sbqdlq321": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1419",},
			"sbqdlq322": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1483",},
			"sbqdlq323": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1611",},
			"sbqdlq324": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1675",},
			"sbqdlq331": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2541",},
			"sbqdlq332": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2605",},
			"sbqdlq334": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2669",},
			"sbqdlq350": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3042",},
			"sbqdlq351": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3277",},
			"sbqdlq352": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3341",},
			"sbqdlq353": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3405",},
			"sbqdlq354": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3469",},
			"sbqsc301": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0212",},
			"sbqsc302": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0292",},
			"sbqsc303": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2310",},
			"sbqsc304": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3046",},
			"sbqsc312": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0974",},
			"sbqsc313": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1038",},
			"sbqsc319": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1100",},
			"sbqsc314": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1166",},
			"sbqsc316": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1230",},
			"sbqsc315": {tag:"SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1358",},
			"sbqsc321": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1422",},
			"sbqsc322": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1486",},
			"sbqsc329": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1548",},
			"sbqsc323": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1614",},
			"sbqsc324": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1678",},
			"sbqsc331": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2544",},
			"sbqsc332": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2608",},
			"sbqsc334": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2672",},
			"sbqsc339": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2793",},
			"sbqsc351": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3280",},
			"sbqsc352": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3344",},
			"sbqsc353": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3408",},
			"sbqsc354": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3472",},
			"sbqsc359": {tag:"SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3774",},
		},
		"XS_FDC": {
			"xsuakv": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0003",},
			"xsuabkv": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0007",},
			"xslaa": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0010",},
			"xspkw": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0001",},
			"xsqkvar": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0002",},
			"xsfhz": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0018",},
			//右边这块无点
			"xsuakvzb2z": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0066",},
			"xsuabkvzb2z": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0074",},
			"xslaazb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0069",},
			"xspmwzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0080",},
			"xsqkvarzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0081",},
			"xsuakvzb2y": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0123",},
			"xsubkvzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0124",},
			"xsuckvzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0125",},
			"xsuabkvzb2y": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0127",},
			"xsubckvzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0128",},
			"xsucakvzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0129",},
			"xs3u0vzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0126",},
			"xsymwdzb21": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0086",},
			"xswdzb22": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0087",},
			"xsrzwdzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0088",},
			"xsdwzb2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0089",},
			"xsuakvzb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0021",},
			"xsuabkvzb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0038",},
			"xslaazb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0024",},
			"xspkwzb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0019",},
			"xsqkvarzb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0020",},
			"xsymwd1zb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0028",},
			"xsymwd2zb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0029",},
			"xsrzwdzb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0030",},
			"xsdwzb1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0031",},
			"xsuakvzy1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0381",},
			"xsuabkvzy1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0389",},
			"xslaazy1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0384",},
			"xspkwzy1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0396",},
			"xsqkvarzy1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0397",},
			"xsuakvzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0267",},
			"xsubkvzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0268",},
			"xsuckvzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0269",},
			"xsuabkvzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0275",},
			"xsubckvzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0276",},
			"xsucakvzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0277",},
			"xs3u0vzb2x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0274",},
			"xsuakvzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0",},
			"xsubkvzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0230",},
			"xsuckvzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0231",},
			"xsuabkvzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0237",},
			"xsubckvzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0238",},
			"xsucakvzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0239",},
			"xs3u0vzb1x": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0236",},
			"xsuakvby1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0286",},
			"xsuabkvby1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0294",},
			"xslaaby1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0289",},
			"xspkwby1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0300",},
			"xsqkvarby1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0301",},
			"xsuakvgf4": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0267",},
			"xsuabkvgf4": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0275",},
			"xslaagf4": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0270",},
			"xspkwgf4": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0281",},
			"xsqkvargf4": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0282",},
			"xsuakvgf3": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0248",},
			"xsuabkvgf3": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0256",},
			"xslaagf3": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0251",},
			"xspkwgf3": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0262",},
			"xsqkvargf3": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0263",},
			"xsuakvsvg2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0343",},
			"xsuabkvsvg2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0355",},
			"xslaasvg2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0346",},
			"xspkwsvg2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0364",},
			"xsqkvarsvg2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0365",},
			"xsuakvgf2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0210",},
			"xsuabkvgf2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0218",},
			"xslaagf2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0213",},
			"xspkwgf2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0224",},
			"xsqkvargf2": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0225",},
			"xsuakvgf1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0191",},
			"xsuabkvgf1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0199",},
			"xslaagf1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0194",},
			"xspkwgf1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0205",},
			"xsqkvargf1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0206",},
			"xsuakvby": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0229",},
			"xsuabkvby": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0237",},
			"xslaaby": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0232",},
			"xspkwgby": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0243",},
			"xsqkvarby": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0244",},
			"xsuakvsvg1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0305",},
			"xsuabkvsvg1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0317",},
			"xslaavg1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0308",},
			"xspkwgsvg1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0326",},
			"xsqkvarsvg1": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_AI0327",},
			"xskg11103": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0038",},
			"xskg11101": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0036",},
			"xskg1113": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0022",},
			"xskg1111": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0013",},
			"xskg10201": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0310",},
			"xskg1020": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0314",},
			"xskg1021": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0287",},
			"xskg10203": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0312",},
			"xskg1023": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0296",},
			"xskg0320": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0350",},
			"xskg0120": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0320",},
			"xskg119": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0418",},
			"xskg1109": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0423",},
			"xskg10101": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0171",},
			"xskg10103": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0173",},
			"xskg1010": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0175",},
			"xskg1011": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0148",},
			"xskg1013": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0157",},
			"xskg0310": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0211",},
			"xskg0110": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0181",},
			"xskg3120": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1633",},
			"xskg3240": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1278",},
			"xskg3230": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1213",},
			"xskg329pt": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0673",},
			"xskg3220": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1148",},
			"xskg32105": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1503",},
			"xskg3215": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1514",},
			"xskg3210": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1516",},
			"xskg3150": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0918",},
			"xskg3140": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0853",},
			"xskg3130": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0983",},
			"xskg319pt": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0670",},
			"xskg31105": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1366",},
			"xskg3115": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1364",},
			"xskg3110": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1371",},
			"xsdlq111": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0033",},
			"xsdlq102": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0308",},
			"xsdlq101": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0169",},
			"xsdlq302": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0331",},
			"xsdlq301": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0192",},
			"xsdlq312": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1629",},
			"xsdlq324": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1261",},
			"xsdlq322": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1144",},
			"xsdlq321": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1499",},
			"xsdlq315": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0914",},
			"xsdlq314": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0849",},
			"xsdlq313": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0979",},
			"xsdlq311": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1368",},
			"xssc302": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0333",},
			"xssc301": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0194",},
			"xssc312": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1631",},
			"xssc324": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1261",},
			"xssc322": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1146",},
			"xssc321": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1501",},
			"xssc315": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0916",},
			"xssc314": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0851",},
			"xssc313": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0981",},
			"xssc311": {tag:"XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1369",},
		},
		"XH_GDC": {
            "xhlaac1": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0001",},
            "xhpmwc1": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0002",},
            "xhqmwc1": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0003",},
            "xhlaawgbc": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0021",},
            "xhqmvarwgbc": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0023",},
            "xhlaazy1": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0018",},
            "xhpkwzy1": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0019",},
            "xhqkvarzy1": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0020",},
            "xhlaazx1": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0006",},
            "xhpkwzx1": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0007",},
            "xhqmvarzx1": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0008",},
            "xhlaazx2": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0009",},
            "xhpmwzx2": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0010",},
            "xhqmvarzx2": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0011",},
            "xhlaaby": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0015",},
            "xhpmwby": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0016",},
            "xhqmvarby": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_AI0017",},
            "xhuv01": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0026",},
            "xhuv02": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0030",},
            "xhuv03": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0034",},
            "xhuv04": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0038",},
            "xhuv05": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0042",},
            "xhuv06": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0046",},
            "xhuv07": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0050",},
            "xhuv08": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0054",},
            "xhuv09": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0058",},
            "xhuv10": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0062",},
            "xhuv11": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0066",},
            "xhuv12": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0070",},
            "xhuv13": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0074",},
            "xhuv14": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0078",},
            "xhuv15": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0082",},
            "xhuv16": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0086",},
            "xhuv17": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0090",},
            "xhuv18": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0094",},
            "xhuv19": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0098",},
            "xhuv20": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0102",},
            "xhuv21": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0106",},
            "xhuv22": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0110",},
            "xhuv23": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0114",},
            "xhuv24": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0118",},
            "xhuv25": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0122",},
            "xhuv26": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0126",},
            "xhuv27": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0130",},
            "xhuv28": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0134",},
            "xhuv29": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0138",},
            "xhuv30": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0142",},
            "xhuv31": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0146",},
            "xhuv32": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0150",},
            "xhuv33": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0154",},
            "xhuv34": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0158",},
            "xhuv35": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0162",},
            "xhuv36": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0166",},
            "xhuv37": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0170",},
            "xhuv38": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0174",},
            "xhuv39": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0178",},
            "xhuv40": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0182",},
            "xhuv41": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0186",},
            "xhuv42": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0190",},
            "xhia01": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0027",},
            "xhia02": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0031",},
            "xhia03": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0035",},
            "xhia04": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0039",},
            "xhia05": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0043",},
            "xhia06": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0047",},
            "xhia07": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0051",},
            "xhia08": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0055",},
            "xhia09": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0059",},
            "xhia10": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0063",},
            "xhia11": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0067",},
            "xhia12": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0071",},
            "xhia13": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0075",},
            "xhia14": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0079",},
            "xhia15": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0083",},
            "xhia16": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0087",},
            "xhia17": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0091",},
            "xhia18": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0095",},
            "xhia19": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0099",},
            "xhia20": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0103",},
            "xhia21": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0107",},
            "xhia22": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0111",},
            "xhia23": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0115",},
            "xhia24": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0119",},
            "xhia25": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0123",},
            "xhia26": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0127",},
            "xhia27": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0131",},
            "xhia28": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0135",},
            "xhia29": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0139",},
            "xhia30": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0143",},
            "xhia31": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0147",},
            "xhia32": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0151",},
            "xhia33": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0155",},
            "xhia34": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0159",},
            "xhia35": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0163",},
            "xhia36": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0167",},
            "xhia37": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0171",},
            "xhia38": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0175",},
            "xhia39": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0179",},
            "xhia40": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0183",},
            "xhia41": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0187",},
            "xhia42": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0191",},
            "xhpkw01": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0024",},
            "xhpkw02": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0028",},
            "xhpkw03": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0032",},
            "xhpkw04": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0036",},
            "xhpkw05": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0040",},
            "xhpkw06": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0044",},
            "xhpkw07": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0048",},
            "xhpkw08": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0052",},
            "xhpkw09": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0056",},
            "xhpkw10": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0060",},
            "xhpkw11": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0064",},
            "xhpkw12": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0068",},
            "xhpkw13": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0072",},
            "xhpkw14": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0076",},
            "xhpkw15": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0080",},
            "xhpkw16": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0084",},
            "xhpkw17": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0088",},
            "xhpkw18": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0092",},
            "xhpkw19": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0096",},
            "xhpkw20": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0100",},
            "xhpkw21": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0104",},
            "xhpkw22": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0108",},
            "xhpkw23": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0112",},
            "xhpkw24": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0116",},
            "xhpkw25": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0120",},
            "xhpkw26": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0124",},
            "xhpkw27": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0128",},
            "xhpkw28": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0132",},
            "xhpkw29": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0136",},
            "xhpkw30": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0140",},
            "xhpkw31": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0144",},
            "xhpkw32": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0148",},
            "xhpkw33": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0152",},
            "xhpkw34": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0156",},
            "xhpkw35": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0160",},
            "xhpkw36": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0164",},
            "xhpkw37": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0168",},
            "xhpkw38": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0172",},
            "xhpkw39": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0176",},
            "xhpkw40": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0180",},
            "xhpkw41": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0184",},
            "xhpkw42": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_AI0188",},
            "xhkg3120": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0037",},
            "xhkg31201": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0034",},
            "xhkg3130": {tag:"XHDQ.NX_GDXHG_DQ_P1_L1_001_DI0034",},
            "xhkg01": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0396",},
            "xhkg02": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0399",},
            "xhkg03": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0402",},
            "xhkg04": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0405",},
            "xhkg05": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0408",},
            "xhkg06": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0411",},
            "xhkg07": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0414",},
            "xhkg08": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0417",},
            "xhkg09": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0420",},
            "xhkg10": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0423",},
            "xhkg11": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0426",},
            "xhkg12": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0429",},
            "xhkg13": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0432",},
            "xhkg14": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0435",},
            "xhkg15": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0438",},
            "xhkg16": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0441",},
            "xhkg17": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0444",},
            "xhkg18": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0447",},
            "xhkg19": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0450",},
            "xhkg20": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0453",},
            "xhdlq311": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0001",},
            "xhdlq312": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0036",},
            "xhdlq313": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0033",},
            "xhdlq314": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0025",},
            "xhdlq315": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0027",},
            "xhdlq316": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0029",},
            "xhdlq317": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0031",},
            "xhsc311": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0002",},
            "xhsc312": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0035",},
            "xhsc319": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0023",},
            "xhsc313": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0032",},
            "xhsc314": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0024",},
            "xhsc315": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0026",},
            "xhsc317": {tag:"XHDQ.NX_GD_XHG_DQ_P1_L1_001_DI0030",},
        }
	}
	
	constructor(){
		this.getDatas = this.getDatas.bind(this);
		this.getTags=this.getTags.bind(this);
	}

	getDatas(station,action){
		var currentStation = this.tags[station]
		var tags = this.getTags(currentStation);
		
		api.refreshData(tags).then(msg=>{
			var datas = msg.data;
			var data = {};
			for(var v in currentStation){
				var dt = datas[currentStation[v].tag];
				if(!dt)continue;
				data[v]=dt.doubleValue?dt.doubleValue.toFixed(2):(dt.booleanValue?dt.booleanValue:0);
			}
			action(data);
		})
		.catch(err=>
			console.error(err)
		);
	}
	
	getTags(station){
		var tags = "";
		for(var v in station){
			tags+= station[v].tag+",";
		}
		return tags;
	}
}
